import{s as ue,n as ce,o as ge}from"../chunks/scheduler.b108d059.js";import{S as he,i as we,g as d,s as a,r as i,A as Te,h as u,f as n,c as s,j as oe,u as r,x as A,k as de,y as ye,a as l,v as p,d as m,t as f,w as $}from"../chunks/index.008de539.js";import{C as Y}from"../chunks/CodeBlock.3968c746.js";import{H as _}from"../chunks/Heading.88bfeb84.js";function be(se){let o,H,V,P,c,E,g,ie=`You can install <code>text-embeddings-inference</code> locally to run it on your own machine with a GPU.
To make sure that your hardware is supported, check out the <a href="supported_models">Supported models and hardware</a> page.`,N,h,R,w,re="Make sure you have CUDA and the NVIDIA drivers installed - NVIDIA drivers on your device need to be compatible with CUDA version 12.2 or higher.",F,T,pe="Add the NVIDIA binaries to your path:",W,y,X,b,j,v,me='<a href="https://rustup.rs/" rel="nofollow">Install Rust</a> on your machine by run the following in your terminal, then following the instructions:',D,I,B,x,z,U,fe="This step  can take a while as we need to compile a lot of cuda kernels.",Q,C,q,J,O,M,K,k,ee,Z,te,L,$e="You can now launch Text Embeddings Inference on GPU with:",ne,S,le,G,ae;return c=new _({props:{title:"Using TEI locally with GPU",local:"using-tei-locally-with-gpu",headingTag:"h1"}}),h=new _({props:{title:"Step 1: CUDA and NVIDIA drivers",local:"step-1-cuda-and-nvidia-drivers",headingTag:"h2"}}),y=new Y({props:{code:"ZXhwb3J0JTIwUEFUSCUzRCUyNFBBVEglM0ElMkZ1c3IlMkZsb2NhbCUyRmN1ZGElMkZiaW4=",highlighted:"export PATH=$PATH:/usr/local/cuda/bin",wrap:!1}}),b=new _({props:{title:"Step 2: Install Rust",local:"step-2-install-rust",headingTag:"h2"}}),I=new Y({props:{code:"Y3VybCUyMC0tcHJvdG8lMjAnJTNEaHR0cHMnJTIwLS10bHN2MS4yJTIwLXNTZiUyMGh0dHBzJTNBJTJGJTJGc2gucnVzdHVwLnJzJTIwJTdDJTIwc2g=",highlighted:"curl --proto &#x27;=https&#x27; --tlsv1.2 -sSf https://sh.rustup.rs | sh",wrap:!1}}),x=new _({props:{title:"Step 3: Install necessary packages",local:"step-3-install-necessary-packages",headingTag:"h2"}}),C=new _({props:{title:"For Turing GPUs (T4, RTX 2000 series … )",local:"for-turing-gpus-t4-rtx-2000-series--",headingTag:"h3"}}),J=new Y({props:{code:"Y2FyZ28lMjBpbnN0YWxsJTIwLS1wYXRoJTIwcm91dGVyJTIwLUYlMjBjYW5kbGUtY3VkYS10dXJpbmclMjAtLW5vLWRlZmF1bHQtZmVhdHVyZXM=",highlighted:"cargo install --path router -F candle-cuda-turing --no-default-features",wrap:!1}}),M=new _({props:{title:"For Ampere and Hopper",local:"for-ampere-and-hopper",headingTag:"h3"}}),k=new Y({props:{code:"Y2FyZ28lMjBpbnN0YWxsJTIwLS1wYXRoJTIwcm91dGVyJTIwLUYlMjBjYW5kbGUtY3VkYSUyMC0tbm8tZGVmYXVsdC1mZWF0dXJlcw==",highlighted:"cargo install --path router -F candle-cuda --no-default-features",wrap:!1}}),Z=new _({props:{title:"Step 4: Launch Text Embeddings Inference",local:"step-4-launch-text-embeddings-inference",headingTag:"h2"}}),S=new Y({props:{code:"bW9kZWwlM0RCQUFJJTJGYmdlLWxhcmdlLWVuLXYxLjUlMEFyZXZpc2lvbiUzRHJlZnMlMkZwciUyRjUlMEElMEF0ZXh0LWVtYmVkZGluZ3Mtcm91dGVyJTIwLS1tb2RlbC1pZCUyMCUyNG1vZGVsJTIwLS1yZXZpc2lvbiUyMCUyNHJldmlzaW9uJTIwLS1wb3J0JTIwODA4MA==",highlighted:`model=BAAI/bge-large-en-v1.5
revision=refs/pr/5

text-embeddings-router --model-id $model --revision $revision --port 8080`,wrap:!1}}),{c(){o=d("meta"),H=a(),V=d("p"),P=a(),i(c.$$.fragment),E=a(),g=d("p"),g.innerHTML=ie,N=a(),i(h.$$.fragment),R=a(),w=d("p"),w.textContent=re,F=a(),T=d("p"),T.textContent=pe,W=a(),i(y.$$.fragment),X=a(),i(b.$$.fragment),j=a(),v=d("p"),v.innerHTML=me,D=a(),i(I.$$.fragment),B=a(),i(x.$$.fragment),z=a(),U=d("p"),U.textContent=fe,Q=a(),i(C.$$.fragment),q=a(),i(J.$$.fragment),O=a(),i(M.$$.fragment),K=a(),i(k.$$.fragment),ee=a(),i(Z.$$.fragment),te=a(),L=d("p"),L.textContent=$e,ne=a(),i(S.$$.fragment),le=a(),G=d("p"),this.h()},l(e){const t=Te("svelte-u9bgzb",document.head);o=u(t,"META",{name:!0,content:!0}),t.forEach(n),H=s(e),V=u(e,"P",{}),oe(V).forEach(n),P=s(e),r(c.$$.fragment,e),E=s(e),g=u(e,"P",{"data-svelte-h":!0}),A(g)!=="svelte-ca5bh"&&(g.innerHTML=ie),N=s(e),r(h.$$.fragment,e),R=s(e),w=u(e,"P",{"data-svelte-h":!0}),A(w)!=="svelte-1xb6doe"&&(w.textContent=re),F=s(e),T=u(e,"P",{"data-svelte-h":!0}),A(T)!=="svelte-mwtwrj"&&(T.textContent=pe),W=s(e),r(y.$$.fragment,e),X=s(e),r(b.$$.fragment,e),j=s(e),v=u(e,"P",{"data-svelte-h":!0}),A(v)!=="svelte-2fjw7p"&&(v.innerHTML=me),D=s(e),r(I.$$.fragment,e),B=s(e),r(x.$$.fragment,e),z=s(e),U=u(e,"P",{"data-svelte-h":!0}),A(U)!=="svelte-c8dcel"&&(U.textContent=fe),Q=s(e),r(C.$$.fragment,e),q=s(e),r(J.$$.fragment,e),O=s(e),r(M.$$.fragment,e),K=s(e),r(k.$$.fragment,e),ee=s(e),r(Z.$$.fragment,e),te=s(e),L=u(e,"P",{"data-svelte-h":!0}),A(L)!=="svelte-1bfdyk9"&&(L.textContent=$e),ne=s(e),r(S.$$.fragment,e),le=s(e),G=u(e,"P",{}),oe(G).forEach(n),this.h()},h(){de(o,"name","hf:doc:metadata"),de(o,"content",ve)},m(e,t){ye(document.head,o),l(e,H,t),l(e,V,t),l(e,P,t),p(c,e,t),l(e,E,t),l(e,g,t),l(e,N,t),p(h,e,t),l(e,R,t),l(e,w,t),l(e,F,t),l(e,T,t),l(e,W,t),p(y,e,t),l(e,X,t),p(b,e,t),l(e,j,t),l(e,v,t),l(e,D,t),p(I,e,t),l(e,B,t),p(x,e,t),l(e,z,t),l(e,U,t),l(e,Q,t),p(C,e,t),l(e,q,t),p(J,e,t),l(e,O,t),p(M,e,t),l(e,K,t),p(k,e,t),l(e,ee,t),p(Z,e,t),l(e,te,t),l(e,L,t),l(e,ne,t),p(S,e,t),l(e,le,t),l(e,G,t),ae=!0},p:ce,i(e){ae||(m(c.$$.fragment,e),m(h.$$.fragment,e),m(y.$$.fragment,e),m(b.$$.fragment,e),m(I.$$.fragment,e),m(x.$$.fragment,e),m(C.$$.fragment,e),m(J.$$.fragment,e),m(M.$$.fragment,e),m(k.$$.fragment,e),m(Z.$$.fragment,e),m(S.$$.fragment,e),ae=!0)},o(e){f(c.$$.fragment,e),f(h.$$.fragment,e),f(y.$$.fragment,e),f(b.$$.fragment,e),f(I.$$.fragment,e),f(x.$$.fragment,e),f(C.$$.fragment,e),f(J.$$.fragment,e),f(M.$$.fragment,e),f(k.$$.fragment,e),f(Z.$$.fragment,e),f(S.$$.fragment,e),ae=!1},d(e){e&&(n(H),n(V),n(P),n(E),n(g),n(N),n(R),n(w),n(F),n(T),n(W),n(X),n(j),n(v),n(D),n(B),n(z),n(U),n(Q),n(q),n(O),n(K),n(ee),n(te),n(L),n(ne),n(le),n(G)),n(o),$(c,e),$(h,e),$(y,e),$(b,e),$(I,e),$(x,e),$(C,e),$(J,e),$(M,e),$(k,e),$(Z,e),$(S,e)}}}const ve='{"title":"Using TEI locally with GPU","local":"using-tei-locally-with-gpu","sections":[{"title":"Step 1: CUDA and NVIDIA drivers","local":"step-1-cuda-and-nvidia-drivers","sections":[],"depth":2},{"title":"Step 2: Install Rust","local":"step-2-install-rust","sections":[],"depth":2},{"title":"Step 3: Install necessary packages","local":"step-3-install-necessary-packages","sections":[{"title":"For Turing GPUs (T4, RTX 2000 series … )","local":"for-turing-gpus-t4-rtx-2000-series--","sections":[],"depth":3},{"title":"For Ampere and Hopper","local":"for-ampere-and-hopper","sections":[],"depth":3}],"depth":2},{"title":"Step 4: Launch Text Embeddings Inference","local":"step-4-launch-text-embeddings-inference","sections":[],"depth":2}],"depth":1}';function Ie(se){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends he{constructor(o){super(),we(this,o,Ie,be,ue,{})}}export{Me as component};
